当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu9.10升级操作失败
帖子发表于 : 2009-10-23 20:49 

注册: 2006-03-09 11:56
帖子: 26
送出感谢: 0 次
接收感谢: 0 次
今天更新ubuntu9.10:
sudo aptitude upgrade
发生了如下错误:
代码:
正预备替换 util-linux 2.16-1ubuntu4 (使用 .../util-linux_2.16-1ubuntu5_i386.deb) ...       
install-info: No dir file specified; try --help for more information.                       
dpkg:警告:原先的 pre-removal 脚本 返回了错误的退出状态码 1                               
dpkg - 现转而试用新软件包所带的脚本...
install-info: No dir file specified; try --help for more information.
dpkg:处理 /var/cache/apt/archives/util-linux_2.16-1ubuntu5_i386.deb (--unpack)时出错:
 子进程 新的 pre-removal 脚本 返回了错误号 1
install-info: No dir file specified; try --help for more information.
dpkg: 作下列清理工作时发生错误:
 子进程 已安装的 post-installation 脚本 返回了错误号 1
在处理时有错误发生:
 /var/cache/apt/archives/util-linux_2.16-1ubuntu5_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
软件包安装失败。正在试图恢复:
正在设置 global (5.7.1-1) ...
install-info: No dir file specified; try --help for more information.
dpkg:处理 global (--configure)时出错:
 子进程 已安装的 post-installation 脚本 返回了错误号 1
dpkg:处理 util-linux (--configure)时出错:
 该软件包正处于非常不稳定的状态 - 您最好
在配置它之前,先重新安装它。
在处理时有错误发生:
 global
 util-linux
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在读取扩展状态文件
正在初始化软件包状态... 完成

请问如何解决?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: ubuntu9.10升级操作失败
帖子发表于 : 2009-10-23 20:58 
头像

注册: 2008-11-21 20:26
帖子: 36913
送出感谢: 1
接收感谢: 36
是不是包坏了?
删掉试试


_________________
讨厌我的人可以试着点一下
浏览全部ubuntu技巧


页首
 用户资料  
 
3 楼 
 文章标题 : Re: ubuntu9.10升级操作失败
帖子发表于 : 2009-10-23 21:00 
头像

注册: 2009-03-19 9:19
帖子: 1423
地址: 江苏
送出感谢: 0 次
接收感谢: 2
别升级了,我好几次升级都有些小问题无法解决,奇怪问题比较多。
刚刚 全新安装了
外部链接: http://docs.google.com/View?id=ddqsjgzx_747f25h8pcb


_________________


页首
 用户资料  
 
4 楼 
 文章标题 : Re: ubuntu9.10升级操作失败
帖子发表于 : 2009-10-23 21:20 

注册: 2006-03-09 11:56
帖子: 26
送出感谢: 0 次
接收感谢: 0 次
mickeywaley 写道:
别升级了,我好几次升级都有些小问题无法解决,奇怪问题比较多。
刚刚 全新安装了
外部链接: http://docs.google.com/View?id=ddqsjgzx_747f25h8pcb

这个的确能够解决问题。有没有更省事的办法?


页首
 用户资料  
 
5 楼 
 文章标题 : Re: ubuntu9.10升级操作失败
帖子发表于 : 2009-10-24 17:33 

注册: 2006-03-09 11:56
帖子: 26
送出感谢: 0 次
接收感谢: 0 次
sudo mv /usr/local/bin/install-info /usr/local/bin/install-info-gnu
然后再upgrade解决了问题,供碰到同样问题的人士参考


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译